#include <iostream>

using namespace std;

int main()
{
   long long n,k;
   cin>>n;
   int a[n];
   for(int i=0; i<n; i++)
       cin>>a[i];
   if(n==2)
   {
    int pom=a[0];
   a[0]=a[1];
   a[1]=pom;
   }
   else
   {
       k=0;
       int x=-1;
       for(int i=0; i<n; i++)
       {
           for(int j=i+1; j<n; j++)
             {
                 if(a[i]<a[j]&&x==-1)
                 {
                     x=j;
                     k=1;
                 }
                 else
                 {
                     if(a[i]<a[j]&&a[x]<=a[j])
                     {
                         x=j;
                         k=1;
                     }

                 }
             }
             if(k==1)
             {
                  pom=a[i];
                a[i]=a[x];
                a[x]=pom;
                break;
            }
            else
            {
                pom=a[n-1];
                a[n-1]=a[n-2];
                a[n-2]=pom;
                break;
            }
       }
   }
   for(int i=0; i<n; i++)
       cout<<a[i]<<" ";

}